Skip to main content
POST
CSharp (SDK)

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Path Parameters

server_id
string
required

Body

application/json
redirect_uri
string
required

Where the provider sends the end user back. Must equal one of the server's oauth.redirect_uris exactly.

Required string length: 1 - 2048

Response

200 - application/json

OK

object
any
required
server_id
string
required
authorization_url
string
required

Open this URL in the end user's browser. It carries a single-use state.

expires_at
string<date-time>
required

The authorization must be completed before this time.